New zm install compatible on ubuntu 14.04

Forum for questions and support relating to the 1.27.x releases only.
Post Reply
samquad
Posts: 20
Joined: Wed Feb 05, 2014 6:21 am

New zm install compatible on ubuntu 14.04

Post by samquad » Mon Apr 21, 2014 6:50 am

I installed zm on ubuntu 12.04. I've just updated ubuntu 14.04 and zm no want works. I installed zm 1.26.5 from the Ubuntu Software Center.

I have access to zm web pages but the service will not start.

Code: Select all

 sudo /etc/init.d/zoneminder restart 

Code: Select all

Starting ZoneMinder: Constant subroutine ZoneMinder::ZM_VERSION redefined at /usr/share/perl5/ZoneMinder.pm line 33.
Prototype mismatch: sub ZoneMinder::ZM_VERSION () vs none at /usr/share/perl5/ZoneMinder.pm line 33.
Constant subroutine ZoneMinder::ZM_VERSION redefined at /usr/share/perl5/ZoneMinder.pm line 33.
Prototype mismatch: sub ZoneMinder::ZM_VERSION () vs none at /usr/share/perl5/ZoneMinder.pm line 33.
failure
Please Could you help me
Samquad

linuxsense
Posts: 374
Joined: Wed Nov 07, 2007 1:59 am
Location: Huntington Beach, California
Contact:

Re: New zm install compatible on ubuntu 14.04

Post by linuxsense » Mon Apr 21, 2014 7:12 pm

I believe that ZM wont work on 14.04 yet due to depreciated mySQL options in PHP although I have seen a few people say they were able to make it work by upgrading instead of doing a clean install. However, the error you are getting seems unrelated to that issue. Try adding "ZM_VERSION=1.26.5" to the bottom of your zm.conf and restarting ZoneMinder.

samquad
Posts: 20
Joined: Wed Feb 05, 2014 6:21 am

Re: New zm install compatible on ubuntu 14.04

Post by samquad » Tue Apr 22, 2014 4:51 pm

"ZM_VERSION=1.26.5" is already on my zm.conf :cry:

linuxsense
Posts: 374
Joined: Wed Nov 07, 2007 1:59 am
Location: Huntington Beach, California
Contact:

Re: New zm install compatible on ubuntu 14.04

Post by linuxsense » Tue Apr 22, 2014 10:42 pm

Yea, figured it was a long-shot, the error you have is not one I have seen that adding the version to the config helps. I would suggest installing Ubuntu 13.10 as 14.04 does not have the PHP/mySQL options that zoneminder requires. It might be possible to install the older dependencies from 13.10 onto 14.04 but I wouldn't suggest it as you wont gain anything by running 14.04 at this point.

bbunge
Posts: 2619
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: New zm install compatible on ubuntu 14.04

Post by bbunge » Tue Apr 22, 2014 11:22 pm

Actually, ZM 1.26.5 works quite well in Ubuntu 14.04
See: http://www.zoneminder.com/wiki/index.ph ... e_easy_way

As for 1.27 on 14.04, I've not had success with that. I too started with an upgrade of 1.27 on 12.04 and ended up with a broken system. Started over with 1.25. on 12.04 and did an upgrade to 14.04 and everything worked!

I've compared the dependencies between Issac Connors 1.27 Precise package and the 1.26.5 in 14.04 and realized that changing the dependencies in a .deb package was beyond my skills (and there is yard work to do and fish to be caught). I'll work on it as time and other volunteer commitments permit.

So, if you want to run 14.04 you will have to do it the easy way or compile your own install!

bb

samquad
Posts: 20
Joined: Wed Feb 05, 2014 6:21 am

Re: New zm install compatible on ubuntu 14.04

Post by samquad » Fri Apr 25, 2014 5:31 pm

Sorry for my english, I am french and i'm using google translation for help me...

I uninstalled zoneminder and i did ubuntu update

Code: Select all

apt-get update
apt-get upgrade
apt-get dist-upgrade
I followed the procedure the easy way to reinstall zoneminder.

Code: Select all

apt-get install zoneminder
Lecture des listes de paquets... Fait 
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait 
Les paquets supplémentaires suivants seront installés : 
  libav-tools libavdevice53 libavfilter3 libconvert-binhex-perl 
  libdate-manip-perl libdevice-serialport-perl libemail-date-format-perl 
  libjs-mootools libmime-lite-perl libmime-tools-perl libmime-types-perl 
  libnet-sftp-foreign-perl libphp-serialization-perl libsys-mmap-perl 
Paquets suggérés : 
  frei0r-plugins 
Les NOUVEAUX paquets suivants seront installés : 
  libav-tools libavdevice53 libavfilter3 libconvert-binhex-perl 
  libdate-manip-perl libdevice-serialport-perl libemail-date-format-perl 
  libjs-mootools libmime-lite-perl libmime-tools-perl libmime-types-perl 
  libnet-sftp-foreign-perl libphp-serialization-perl libsys-mmap-perl 
  zoneminder 
0 mis à jour, 15 nouvellement installés, 0 à enlever et 0 non mis à jour. 
Il est nécessaire de prendre 6 374 ko dans les archives. 
Après cette opération, 33,9 Mo d'espace disque supplémentaires seront utilisés. 
Souhaitez-vous continuer ? [O/n] o 
Réception de : 1 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe libavdevice53 amd64 6:9.11-2ubuntu2 [32,2 kB] 
Réception de : 2 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe libavfilter3 amd64 6:9.11-2ubuntu2 [93,7 kB] 
Réception de : 3 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe libav-tools amd64 6:9.11-2ubuntu2 [3 308 kB] 
Réception de : 4 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libconvert-binhex-perl all 1.123-1 [32,2 kB] 
Réception de : 5 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libdate-manip-perl all 6.42-1 [913 kB] 
Réception de : 6 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe libemail-date-format-perl all 1.004-1 [6 518 B] 
Réception de : 7 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe libjs-mootools all 1.4.5~debian1-2.1 [241 kB] 
Réception de : 8 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe libmime-lite-perl all 3.030-1 [62,9 kB] 
Réception de : 9 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libmime-tools-perl all 5.505-1 [206 kB] 
Réception de : 10 http://fr.archive.ubuntu.com/ubuntu/ trusty/main libmime-types-perl all 2.04-1 [47,8 kB] 
Réception de : 11 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe libnet-sftp-foreign-perl all 1.77+dfsg-1 [96,4 kB] 
Réception de : 12 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe libphp-serialization-perl all 0.34-1 [11,1 kB] 
Réception de : 13 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe libsys-mmap-perl amd64 0.16-1build2 [17,9 kB] 
Réception de : 14 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe libdevice-serialport-perl amd64 1.04-2build3 [75,3 kB] 
Réception de : 15 http://fr.archive.ubuntu.com/ubuntu/ trusty/universe zoneminder amd64 1.26.5-1ubuntu3 [1 230 kB] 
6 374 ko réceptionnés en 41s (153 ko/s)                                        
Sélection du paquet libavdevice53:amd64 précédemment désélectionné. 
(Lecture de la base de données... 241200 fichiers et répertoires déjà installés.) 
Préparation du décompactage de .../libavdevice53_6%3a9.11-2ubuntu2_amd64.deb ... 
Décompactage de libavdevice53:amd64 (6:9.11-2ubuntu2) ... 
Sélection du paquet libavfilter3:amd64 précédemment désélectionné. 
Préparation du décompactage de .../libavfilter3_6%3a9.11-2ubuntu2_amd64.deb ... 
Décompactage de libavfilter3:amd64 (6:9.11-2ubuntu2) ... 
Sélection du paquet libav-tools précédemment désélectionné. 
Préparation du décompactage de .../libav-tools_6%3a9.11-2ubuntu2_amd64.deb ... 
Décompactage de libav-tools (6:9.11-2ubuntu2) ... 
Sélection du paquet libconvert-binhex-perl précédemment désélectionné. 
Préparation du décompactage de .../libconvert-binhex-perl_1.123-1_all.deb ... 
Décompactage de libconvert-binhex-perl (1.123-1) ... 
Sélection du paquet libdate-manip-perl précédemment désélectionné. 
Préparation du décompactage de .../libdate-manip-perl_6.42-1_all.deb ... 
Décompactage de libdate-manip-perl (6.42-1) ... 
Sélection du paquet libemail-date-format-perl précédemment désélectionné. 
Préparation du décompactage de .../libemail-date-format-perl_1.004-1_all.deb ... 
Décompactage de libemail-date-format-perl (1.004-1) ... 
Sélection du paquet libjs-mootools précédemment désélectionné. 
Préparation du décompactage de .../libjs-mootools_1.4.5~debian1-2.1_all.deb ... 
Décompactage de libjs-mootools (1.4.5~debian1-2.1) ... 
Sélection du paquet libmime-lite-perl précédemment désélectionné. 
Préparation du décompactage de .../libmime-lite-perl_3.030-1_all.deb ... 
Décompactage de libmime-lite-perl (3.030-1) ... 
Sélection du paquet libmime-tools-perl précédemment désélectionné. 
Préparation du décompactage de .../libmime-tools-perl_5.505-1_all.deb ... 
Décompactage de libmime-tools-perl (5.505-1) ... 
Sélection du paquet libmime-types-perl précédemment désélectionné. 
Préparation du décompactage de .../libmime-types-perl_2.04-1_all.deb ... 
Décompactage de libmime-types-perl (2.04-1) ... 
Sélection du paquet libnet-sftp-foreign-perl précédemment désélectionné. 
Préparation du décompactage de .../libnet-sftp-foreign-perl_1.77+dfsg-1_all.deb ... 
Décompactage de libnet-sftp-foreign-perl (1.77+dfsg-1) ... 
Sélection du paquet libphp-serialization-perl précédemment désélectionné. 
Préparation du décompactage de .../libphp-serialization-perl_0.34-1_all.deb ... 
Décompactage de libphp-serialization-perl (0.34-1) ... 
Sélection du paquet libsys-mmap-perl précédemment désélectionné. 
Préparation du décompactage de .../libsys-mmap-perl_0.16-1build2_amd64.deb ... 
Décompactage de libsys-mmap-perl (0.16-1build2) ... 
Sélection du paquet libdevice-serialport-perl précédemment désélectionné. 
Préparation du décompactage de .../libdevice-serialport-perl_1.04-2build3_amd64.deb ... 
Décompactage de libdevice-serialport-perl (1.04-2build3) ... 
Sélection du paquet zoneminder précédemment désélectionné. 
Préparation du décompactage de .../zoneminder_1.26.5-1ubuntu3_amd64.deb ... 
Décompactage de zoneminder (1.26.5-1ubuntu3) ... 
Traitement déclenché pour  man-db (2.6.7.1-1) ... 
Traitement déclenché pour  ureadahead (0.100.0-16) ... 
Paramétrage de libavdevice53:amd64 (6:9.11-2ubuntu2) ... 
Paramétrage de libavfilter3:amd64 (6:9.11-2ubuntu2) ... 
Paramétrage de libav-tools (6:9.11-2ubuntu2) ... 
Paramétrage de libconvert-binhex-perl (1.123-1) ... 
Paramétrage de libdate-manip-perl (6.42-1) ... 
Paramétrage de libemail-date-format-perl (1.004-1) ... 
Paramétrage de libjs-mootools (1.4.5~debian1-2.1) ... 
Paramétrage de libmime-lite-perl (3.030-1) ... 
Paramétrage de libmime-tools-perl (5.505-1) ... 
Paramétrage de libmime-types-perl (2.04-1) ... 
Paramétrage de libnet-sftp-foreign-perl (1.77+dfsg-1) ... 
Paramétrage de libphp-serialization-perl (0.34-1) ... 
Paramétrage de libsys-mmap-perl (0.16-1build2) ... 
Paramétrage de libdevice-serialport-perl (1.04-2build3) ... 
Paramétrage de zoneminder (1.26.5-1ubuntu3) ... 
Stopping ZoneMinder: Constant subroutine ZoneMinder::ZM_VERSION redefined at /usr/share/perl5/ZoneMinder.pm line 33. 
Prototype mismatch: sub ZoneMinder::ZM_VERSION () vs none at /usr/share/perl5/ZoneMinder.pm line 33. 
Constant subroutine ZoneMinder::ZM_VERSION redefined at /usr/share/perl5/ZoneMinder.pm line 33. 
Prototype mismatch: sub ZoneMinder::ZM_VERSION () vs none at /usr/share/perl5/ZoneMinder.pm line 33. 
Zoneminder already stopped 

Constant subroutine main::ZM_VERSION redefined at /usr/bin/zmupdate.pl line 47. 
	main::BEGIN() called at /usr/bin/zmupdate.pl line 47 
	eval {...} called at /usr/bin/zmupdate.pl line 47 
Prototype mismatch: sub main::ZM_VERSION () vs none at /usr/bin/zmupdate.pl line 47. 
	main::BEGIN() called at /usr/bin/zmupdate.pl line 47 
	eval {...} called at /usr/bin/zmupdate.pl line 47 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 360. 
Use of uninitialized value $version in concatenation (.) or string at /usr/bin/zmupdate.pl line 366. 

Initiating database upgrade to version 1.26.5 from version 

Upgrading database to version 1.26.5 
Loading config from DB 
Saving config to DB 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 482. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 488. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 494. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 500. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 506. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 529. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 537. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 543. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 549. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 555. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 561. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 567. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 629. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 702. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 751. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 757. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 763. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 878. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 884. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 890. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 896. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 902. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 908. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 914. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 920. 
Use of uninitialized value $version in string eq at /usr/bin/zmupdate.pl line 969. 
Use of uninitialized value $version in string lt at /usr/bin/zmupdate.pl line 987. 
Upgrading DB to 1.26.1 from 1.26.0 

Database successfully upgraded from version 1.26.1. 
Upgrading DB to 1.26.2 from 1.26.0 

Database successfully upgraded from version 1.26.2. 
Upgrading DB to 1.26.3 from 1.26.0 

Database successfully upgraded from version 1.26.3. 
Upgrading DB to 1.26.5 from 1.26.0 
ERROR 1060 (42S21) at line 8: Duplicate column name 'AlarmRefBlendPerc' 
Output: 
Command 'mysql -hlocalhost -uzmuser -pzmpass zm < /usr/share/zoneminder/db/zm_update-1.26.5.sql' exited with status: 1 
dpkg: error processing package zoneminder (--configure): 
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1 
Traitement déclenché pour  libc-bin (2.19-0ubuntu6) ... 
Des erreurs ont été rencontrées pendant l'exécution : 
 zoneminder 
E: Sub-process /usr/bin/dpkg returned an error code (1) 
root@pcvideo-ubuntu:/home/pcvideo# nano /etc/init.d/zoneminder 
root@pcvideo-ubuntu:/home/pcvideo# mkdir /etc/apache2/conf.d 
mkdir: impossible de créer le répertoire «/etc/apache2/conf.d»: Le fichier existe 
root@pcvideo-ubuntu:/home/pcvideo# ln -s /etc/zm/apache.conf /etc/apache2/conf.d/zoneminder.conf 
ln: impossible de créer le lien symbolique «/etc/apache2/conf.d/zoneminder.conf»: Le fichier existe 
root@pcvideo-ubuntu:/home/pcvideo# rm /etc/apache2/conf.d/zoneminder.confroot@pcvideo-ubuntu:/home/pcvideo# ln -s /etc/zm/apache.conf /etc/apache2/conf.d/zoneminder.conf 
root@pcvideo-ubuntu:/home/pcvideo# rm /etc/apache2/conf-enabled/zoneminder.conf 
root@pcvideo-ubuntu:/home/pcvideo# /etc/apache2/conf-enabled/zoneminder.conf 
bash: /etc/apache2/conf-enabled/zoneminder.conf: Aucun fichier ou dossier de ce type 
root@pcvideo-ubuntu:/home/pcvideo# ln -s /etc/zm/apache.conf /etc/apache2/conf-enabled/zoneminder.conf 
root@pcvideo-ubuntu:/home/pcvideo# a2enmod cgi 
AH00558: apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1. Set the 'ServerName' directive globally to suppress this message 
Module cgi already enabled 
root@pcvideo-ubuntu:/home/pcvideo# adduser www-data video 
L'utilisateur « www-data » appartient déjà au groupe « video ». 
root@pcvideo-ubuntu:/home/pcvideo# /etc/init.d/apache2 force-reload 
 * Reloading web server apache2                                                  * 
root@pcvideo-ubuntu:/home/pcvideo# nano /etc/cron.daily/ntpdate 
root@pcvideo-ubuntu:/home/pcvideo# chmod 755 /etc/cron.daily/ntpdate 
ZM apache serveur work but ZM service is always stopped

Code: Select all

root@pcvideo-ubuntu:/home/pcvideo# /etc/init.d/zoneminder restart
Stopping ZoneMinder: Constant subroutine ZoneMinder::ZM_VERSION redefined at /usr/share/perl5/ZoneMinder.pm line 33.
Prototype mismatch: sub ZoneMinder::ZM_VERSION () vs none at /usr/share/perl5/ZoneMinder.pm line 33.
Constant subroutine ZoneMinder::ZM_VERSION redefined at /usr/share/perl5/ZoneMinder.pm line 33.
Prototype mismatch: sub ZoneMinder::ZM_VERSION () vs none at /usr/share/perl5/ZoneMinder.pm line 33.
Zoneminder already stopped

Starting ZoneMinder: Constant subroutine ZoneMinder::ZM_VERSION redefined at /usr/share/perl5/ZoneMinder.pm line 33.
Prototype mismatch: sub ZoneMinder::ZM_VERSION () vs none at /usr/share/perl5/ZoneMinder.pm line 33.
Constant subroutine ZoneMinder::ZM_VERSION redefined at /usr/share/perl5/ZoneMinder.pm line 33.
Prototype mismatch: sub ZoneMinder::ZM_VERSION () vs none at /usr/share/perl5/ZoneMinder.pm line 33.
failure
I need help :cry:

linuxsense
Posts: 374
Joined: Wed Nov 07, 2007 1:59 am
Location: Huntington Beach, California
Contact:

Re: New zm install compatible on ubuntu 14.04

Post by linuxsense » Fri Apr 25, 2014 7:01 pm

I know you mentioned previously that you added "ZM_VERSION=1.26.5" to you zm.conf file but you might want to verify that you added it to the zm.conf that is being used by zoneminder. I have been bitten in the butt by having several zm.conf files on the system after experimenting and making changes to the wrong one in the past. It sure looks like that could be the root of the issue based off the errors.

samquad
Posts: 20
Joined: Wed Feb 05, 2014 6:21 am

Re: New zm install compatible on ubuntu 14.04

Post by samquad » Sat Apr 26, 2014 9:39 am

zm release was placed at the bottom of the file
I modified /etc/zm/zm.conf:

Code: Select all

# ==========================================================================
#
# ZoneMinder Base Configuration, $Date$, $Revision$
#
# ==========================================================================
#
# This file is generated by 'configure'. Care should be taken if manually
# editing this file as an changes may be overwritten by subsequent configuration
# or installations.
#

# Path to installed data directory, used mostly for finding DB upgrade scripts
ZM_VERSION=1.26.5
ZM_PATH_DATA=/usr/share/zoneminder

# Path to ZoneMinder binaries
ZM_PATH_BIN=/usr/bin

# Path to ZoneMinder libraries (none at present, for future use)
ZM_PATH_LIB=/usr/lib

# Path to ZoneMinder configuration (this file only at present)
ZM_PATH_CONF=/etc/zm

# Path to ZoneMinder web files
ZM_PATH_WEB=/usr/share/zoneminder

# Path to ZoneMinder cgi files
ZM_PATH_CGI=/usr/lib/cgi-bin

# Username and group that web daemon (httpd/apache) runs as
ZM_WEB_USER=www-data
ZM_WEB_GROUP=www-data

# ZoneMinder database type
ZM_DB_TYPE=mysql

# ZoneMinder database hostname or ip address
ZM_DB_HOST=localhost

# ZoneMinder database name
ZM_DB_NAME=zm

# ZoneMinder database user
ZM_DB_USER=zmuser

# ZoneMinder database password
ZM_DB_PASS=zmpass

# Host of this machine
ZM_SERVER_HOST=
Now, when i entered:

Code: Select all

sudo /etc/init.d/zoneminder restart 
I get errors and the service will not start

Code: Select all

Starting ZoneMinder: Constant subroutine ZoneMinder::ZM_VERSION redefined at /usr/share/perl5/ZoneMinder.pm line 33.
Prototype mismatch: sub ZoneMinder::ZM_VERSION () vs none at /usr/share/perl5/ZoneMinder.pm line 33.
Constant subroutine ZoneMinder::ZM_VERSION redefined at /usr/share/perl5/ZoneMinder.pm line 33.
Prototype mismatch: sub ZoneMinder::ZM_VERSION () vs none at /usr/share/perl5/ZoneMinder.pm line 33.
failure

bbunge
Posts: 2619
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: New zm install compatible on ubuntu 14.04

Post by bbunge » Sat Apr 26, 2014 12:21 pm

I suspect that you have some parts of the old ZM install that are causing problems. I recommend you start over with a fresh install of Ubuntu 14.04 server then follow the "easy" how to.

or

apt-get remove zoneminder
apt-get purge zoneminder
apt-get autoremove

The apt-get purge zoneminder will remove the zm database from MySQL. Also search for any symbolic links you had created and remove those as well. Better yet...just start over. I can have ZM up and running in about 1/2 hour installing Ubuntu from a CD. Even faster if I use my thumb drive to install Ubuntu server!

Also please take your 1.26.5 issues to that part of the forum...
bb

samquad
Posts: 20
Joined: Wed Feb 05, 2014 6:21 am

Re: New zm install compatible on ubuntu 14.04

Post by samquad » Sat Apr 26, 2014 12:35 pm

how to backup before purge zm setup configuration camera and motion detection areas

bbunge
Posts: 2619
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: New zm install compatible on ubuntu 14.04

Post by bbunge » Sat Apr 26, 2014 1:44 pm

Il s'agit d'un cas où vous êtes mieux de commencer à nouveau. Vos anciennes données peuvent être le problème!

mastertheknife
Posts: 678
Joined: Wed Dec 16, 2009 4:32 pm
Location: Israel

Re: New zm install compatible on ubuntu 14.04

Post by mastertheknife » Sat Apr 26, 2014 8:36 pm

Hi,

Remove the ZM_VERSION=XXXXX line from /etc/zm.conf
Kfir Itzhak.

samquad
Posts: 20
Joined: Wed Feb 05, 2014 6:21 am

Re: New zm install compatible on ubuntu 14.04

Post by samquad » Sun Apr 27, 2014 2:37 pm

I completely reinstall ubuntu 14.04 LTS and Zoneminder 1.26.5 the easy way and now it works fine :D

if you are in ubuntu 12.04 it is best to completely reinstall ubuntu 14.04 compared to the commande

Code: Select all

sudo apt-get dist-upgrade
Thank you

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests